commerce
POST /v1/orders/{orderId}/paypal
Open a PayPal order for the browser to complete.
Kimlik Doğrulama
Bir API anahtarını bearer token olarak gönderin. Bu uç nokta, teknik özelliklerde belirli bir yetki belirtmemektedir; bu nedenle, varsaymak yerine anahtarınıza ihtiyaç duyduğu en az yetkiyi verin ve yanıtı kontrol edin.
Bu uç nokta hiçbir organizasyon kimliği almaz. Anahtarınız zaten ait olduğu organizasyonu tanımlar ve yanıt bu organizasyonla sınırlandırılır.
Dene
Köşeli parantez içindeki her şeyi kendi değerlerinizle ve anahtar yer tutucusunu panonuzdan bir anahtarla değiştirin.
curl -X POST https://api.zinndigital.com/v1/orders/{orderId}/paypal \
-H "Authorization: Bearer zdk_live_…"Oturum açtınız mı? Panonuzdaki API konsolu, gerçek organizasyon kimliğinizi ve kendi anahtarınızı otomatik olarak doldurur ve isteği canlı API üzerinde çalıştırarak gerçek yanıtı görmenizi sağlar. Bu uç noktayı API konsolunda açın
Ayrıntılar
Returns the PayPal order id the JS SDK attaches to. The order carries no `payment_source`, so it is open to **either** rail — the PayPal wallet via Buttons, or a card entered into PayPal's hosted Advanced card fields — and the buyer's choice in the browser decides which. Idempotent per Zinn® order: reloading the checkout page returns the same PayPal order rather than opening a second one.
Parametreler
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
orderId (path) | Uuid | Evet | The order's id. |
Yanıt
| Ad | Tür | Zorunlu | Ne olduğu |
|---|---|---|---|
paypal_order_id | string | Evet | PayPal's order id, for `createOrder` in the JS SDK. |
Bu uç noktanın dönderebileceği hatalar
401 · 403 · 404 · 422 · 429 · 503